Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class Operator.Finder

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator.Finder

All Implemented Interfaces:
  ComponentChooser

Direct Known Subclasses:
  AbstractButtonOperator.AbstractButtonFinder, ButtonOperator.ButtonFinder, CheckboxOperator.CheckboxFinder, ChoiceOperator.ChoiceFinder, ContainerOperator.ContainerFinder, DialogOperator.DialogFinder, FrameOperator.FrameFinder, JButtonOperator.JButtonFinder, JCheckBoxMenuItemOperator.JCheckBoxMenuItemFinder, JCheckBoxOperator.JCheckBoxFinder, JColorChooserOperator.JColorChooserFinder, JComboBoxOperator.JComboBoxFinder, JComponentOperator.JComponentFinder, JDialogOperator.JDialogFinder, JEditorPaneOperator.JEditorPaneFinder, JFileChooserOperator.JFileChooserFinder, JFrameOperator.JFrameFinder, JLabelOperator.JLabelFinder, JListOperator.JListFinder, JMenuBarOperator.JMenuBarFinder, JMenuItemOperator.JMenuItemFinder, JMenuOperator.JMenuFinder, JPasswordFieldOperator.JPasswordFieldFinder, JPopupMenuOperator.JPopupMenuFinder, JProgressBarOperator.JProgressBarFinder, JRadioButtonMenuItemOperator.JRadioButtonMenuItemFinder, JRadioButtonOperator.JRadioButtonFinder, JScrollBarOperator.JScrollBarFinder, JScrollPaneOperator.JScrollPaneFinder, JSliderOperator.JSliderFinder, JSpinnerOperator.JSpinnerFinder, JSplitPaneOperator.JSplitPaneFinder, JTabbedPaneOperator.JTabbedPaneFinder, JTableOperator.JTableFinder, JTextAreaOperator.JTextAreaFinder, JTextComponentOperator.JTextComponentFinder, JTextFieldOperator.JTextFieldFinder, JTextPaneOperator.JTextPaneFinder, JToggleButtonOperator.JToggleButtonFinder, JTreeOperator.JTreeFinder, LabelOperator.LabelFinder, ListOperator.ListFinder, ScrollbarOperator.ScrollbarFinder, ScrollPaneOperator.ScrollPaneFinder, TextAreaOperator.TextAreaFinder, TextComponentOperator.TextComponentFinder, TextFieldOperator.TextFieldFinder

Enclosing class:
  Operator

public static class Operator.Finder
extends java.lang.Object
implements ComponentChooser

Allows to bind a compponent by a component type.

Constructor Summary
`Operator.Finder(java.lang.Class clz)` Constructs Finder.
`Operator.Finder(java.lang.Class clz, ComponentChooser subchooser)` Constructs Finder.

Method Summary
`boolean` | `checkComponent(java.awt.Component comp)` Check if the component argument meets the search criteria.
`java.lang.String` | `getDescription()` Returns searched component description.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Operator.Finder

    public Operator.Finder(java.lang.Class clz,
                           ComponentChooser subchooser)

  Constructs Finder.
  Parameters:
    `clz` - a component class.
    `subchooser` - other searching criteria.

### Operator.Finder

    public Operator.Finder(java.lang.Class clz)

  Constructs Finder.
  Parameters:
    `clz` - a component class.

Method Detail

### checkComponent

    public boolean checkComponent(java.awt.Component comp)

  Description copied from interface: `ComponentChooser`
  Check if the component argument meets the search criteria.
  Specified by:
    `checkComponent` in interface `ComponentChooser`
  Following copied from interface: `org.netbeans.jemmy.ComponentChooser`
  Parameters:
    `comp` - Component to check.
  Returns:
    `true` when the component conforms to the search criteria; `false` otherwise.

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `ComponentChooser`
  Returns searched component description.
  Specified by:
    `getDescription` in interface `ComponentChooser`
  Following copied from interface: `org.netbeans.jemmy.ComponentChooser`
  Returns:
    a String representing the description value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD